NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.MoldFeatureRecognitionBuilder Class Reference

Represents a NXOpen.Tooling.MoldFeatureRecognitionBuilder builder More...

Inheritance diagram for NXOpen.Tooling.MoldFeatureRecognitionBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  AnalysisModeType {
  CostMoldFullAnalysis, CostMoldAnalysisWithoutWallThickness, CostMoldSplitFacesAndAnalysis, CostMoldFaceAnalysisOnly,
  CostMoldWallThicknessOnly, CostMoldUndercutsOnly, CostMoldRibsOnly, CostMoldOpeningsOnly,
  Nothing
}
 Analyze mode for Mold analysis More...
 
enum  CostFeatureType { Undercut, Rib, Opening }
 Feature type for mold cost related feature More...
 

Public Member Functions

unsafe void AnalyzeMoldBody ()
 Analyze selected body More...
 
unsafe void AnalyzeMoldBodyByMode (NXOpen.Tooling.MoldFeatureRecognitionBuilder.AnalysisModeType analyseMode)
 Analyze selected body with specified mode type More...
 
unsafe void AssignFeatureFaceColor (bool assignOrRestore)
 Assign cost feature face color More...
 
unsafe void ChangeColorSettingValue ()
 Change color setting value according the active feature type when table changed More...
 
unsafe void ExportResult ()
 Export analysis result More...
 
unsafe void FindMoldFeatures ()
 Find and collect molding features More...
 
unsafe int GetActivePage ()
 Get active table index More...
 
unsafe NXOpen.TaggedObject GetMoldCostDataObject ()
 Get the mold cost data More...
 
unsafe NXOpen.Matrix3x3 GetProductOrientation ()
 Get the product orientation More...
 
unsafe bool IsFeatureDataEmpty (NXOpen.Tooling.MoldFeatureRecognitionBuilder.CostFeatureType costFeatureType, bool needCheckUserCreated)
 Checks whether there is feature data with the specified feature type More...
 
unsafe void ReleaseAllProductFeatureData ()
 Free all product feature data More...
 
unsafe void SetActivePage (int activeTableIndex)
 Set active table index More...
 
unsafe void SetFeatureFaceColorValue (NXOpen.NXColor colorId)
 Set face color for the current active feature type More...
 
unsafe void SetIsCoreCavityFaceChanged (bool status)
 Set the value whether user has changed core/cavity faces or not. More...
 
unsafe void SetProductInformation ()
 Populate product information from cost feature data More...
 
unsafe void SetProductOrientation (NXOpen.Matrix3x3 matrix)
 Set the product orientation More...
 
unsafe bool ValidateFeaturesZeroDimension (out string message)
 Validates all size values of cost related features if they have dimensions being 0. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AutoRibGrouping [get, set]
 Returns or sets the flag to allow group ribs automatically when performing rib feature analysis More...
 
unsafe double BodyProjectArea [get, set]
 Returns or sets the project area More...
 
unsafe double BodySurfaceArea [get, set]
 Returns or sets the surface area value More...
 
unsafe NXOpen.NXColor CostFeatureFacesColor [get, set]
 Returns or sets the temporary color for cost feature faces More...
 
unsafe NXOpen.Expression DraftAngle [get]
 Returns the draft angle More...
 
unsafe NXOpen.Expression MaximumRibLength [get]
 Returns the maximum rib length to be recognized More...
 
unsafe NXOpen.Expression MaximumRibThickness [get]
 Returns the maximum rib thickness to be recognized More...
 
unsafe double MaximumWallThickness [get, set]
 Returns or sets the maximum wall thickness More...
 
unsafe double MinimumWallThickness [get, set]
 Returns or sets the minimum wall thickness More...
 
unsafe double MinimumXDimension [get, set]
 Returns or sets the minimum x dimension of product body More...
 
unsafe double MinimumYDimension [get, set]
 Returns or sets the minimum y dimension of product body More...
 
unsafe double MinimumZDimension [get, set]
 Returns or sets the minimum z dimension of product body More...
 
unsafe string PartFolderBrowser [get, set]
 Returns or sets the folder of part file to be saved More...
 
unsafe double PartVolume [get, set]
 Returns or sets the product body volume More...
 
unsafe bool SaveAndExportStatus [get, set]
 Returns or sets the value that indicates whether to save part and export analysis data or not. More...
 
unsafe NXOpen.SelectBody SelectionBody [get]
 Returns the selected body for analysis More...
 
unsafe NXOpen.Expression UndercutMinimumWidth [get]
 Returns the undercut minimum width More...
 
unsafe NXOpen.Expression UndercutToleranceAngle [get]
 Returns the tolerance of undercut face angle More...
 
unsafe double XDimension [get, set]
 Returns or sets the x dimension of product body More...
 
unsafe string XmlFolderBrowser [get, set]
 Returns or sets the folder in which output XML results can be found More...
 
unsafe double YDimension [get, set]
 Returns or sets the y dimension of product body More...
 
unsafe double ZDimension [get, set]
 Returns or sets the z dimension of product body More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Tooling.MoldFeatureRecognitionBuilder builder

To create a new instance of this class, use NXOpen.Tooling.MoldwizardManager.CreateMoldFeatureRecognitionBuilder

Default values.

Property Value

DraftAngle.Value

3

MaximumRibLength.Value

2.0 (millimeters part), 0.07 (inches part)

MaximumRibThickness.Value

5.0 (millimeters part), 0.19 (inches part)

UndercutMinimumWidth.Value

0.25 (millimeters part), 0.0098 (inches part)

Created in NX11.0.1

Member Enumeration Documentation

Analyze mode for Mold analysis

Enumerator
CostMoldFullAnalysis 
CostMoldAnalysisWithoutWallThickness 
CostMoldSplitFacesAndAnalysis 
CostMoldFaceAnalysisOnly 
CostMoldWallThicknessOnly 
CostMoldUndercutsOnly 
CostMoldRibsOnly 
CostMoldOpeningsOnly 
Nothing 

Feature type for mold cost related feature

Enumerator
Undercut 
Rib 
Opening 

Member Function Documentation

unsafe void NXOpen.Tooling.MoldFeatureRecognitionBuilder.AnalyzeMoldBody ( )
inline

Analyze selected body

Created in NX11.0.1

License requirements: None.

unsafe void NXOpen.Tooling.MoldFeatureRecognitionBuilder.AnalyzeMoldBodyByMode ( NXOpen.Tooling.MoldFeatureRecognitionBuilder.AnalysisModeType  analyseMode)
inline

Analyze selected body with specified mode type

Created in NX12.0.1

License requirements: None.

Parameters
analyseMode
unsafe void NXOpen.Tooling.MoldFeatureRecognitionBuilder.AssignFeatureFaceColor ( bool  assignOrRestore)
inline

Assign cost feature face color

Created in NX12.0.1

License requirements: None.

Parameters
assignOrRestoreassign cost feature face with temporary color or not
unsafe void NXOpen.Tooling.MoldFeatureRecognitionBuilder.ChangeColorSettingValue ( )
inline

Change color setting value according the active feature type when table changed

Created in NX12.0.1

License requirements: None.

unsafe void NXOpen.Tooling.MoldFeatureRecognitionBuilder.ExportResult ( )
inline

Export analysis result

Created in NX11.0.1

License requirements: None.

unsafe void NXOpen.Tooling.MoldFeatureRecognitionBuilder.FindMoldFeatures ( )
inline

Find and collect molding features

Created in NX11.0.2

License requirements: None.

unsafe int NXOpen.Tooling.MoldFeatureRecognitionBuilder.GetActivePage ( )
inline

Get active table index

Created in NX12.0.1

License requirements: None.

Returns
unsafe NXOpen.TaggedObject NXOpen.Tooling.MoldFeatureRecognitionBuilder.GetMoldCostDataObject ( )
inline

Get the mold cost data

Created in NX12.0.1

License requirements: None.

Returns
unsafe NXOpen.Matrix3x3 NXOpen.Tooling.MoldFeatureRecognitionBuilder.GetProductOrientation ( )
inline

Get the product orientation

Created in NX11.0.1

License requirements: None.

Returns
unsafe bool NXOpen.Tooling.MoldFeatureRecognitionBuilder.IsFeatureDataEmpty ( NXOpen.Tooling.MoldFeatureRecognitionBuilder.CostFeatureType  costFeatureType,
bool  needCheckUserCreated 
)
inline

Checks whether there is feature data with the specified feature type

Created in NX12.0.1

License requirements: None.

Parameters
costFeatureTypeMold cost feature type
needCheckUserCreatedNeed check feature data user created manually or not
Returns
Feature data is empty or not
unsafe void NXOpen.Tooling.MoldFeatureRecognitionBuilder.ReleaseAllProductFeatureData ( )
inline

Free all product feature data

Created in NX11.0.1

License requirements: None.

unsafe void NXOpen.Tooling.MoldFeatureRecognitionBuilder.SetActivePage ( int  activeTableIndex)
inline

Set active table index

Created in NX12.0.1

License requirements: None.

Parameters
activeTableIndex
unsafe void NXOpen.Tooling.MoldFeatureRecognitionBuilder.SetFeatureFaceColorValue ( NXOpen.NXColor  colorId)
inline

Set face color for the current active feature type

Created in NX12.0.1

License requirements: None.

Parameters
colorId
unsafe void NXOpen.Tooling.MoldFeatureRecognitionBuilder.SetIsCoreCavityFaceChanged ( bool  status)
inline

Set the value whether user has changed core/cavity faces or not.

Created in NX11.0.2

License requirements: None.

Parameters
status
unsafe void NXOpen.Tooling.MoldFeatureRecognitionBuilder.SetProductInformation ( )
inline

Populate product information from cost feature data

Created in NX12.0.1

License requirements: None.

unsafe void NXOpen.Tooling.MoldFeatureRecognitionBuilder.SetProductOrientation ( NXOpen.Matrix3x3  matrix)
inline

Set the product orientation

Created in NX11.0.1

License requirements: None.

Parameters
matrix
unsafe bool NXOpen.Tooling.MoldFeatureRecognitionBuilder.ValidateFeaturesZeroDimension ( out string  message)
inline

Validates all size values of cost related features if they have dimensions being 0.

00

Created in NX12.0.1

License requirements: None.

Parameters
messagemessage contains error message to display in message box
Returns
Validation result, pass or fail

Property Documentation

unsafe bool NXOpen.Tooling.MoldFeatureRecognitionBuilder.AutoRibGrouping
getset

Returns or sets the flag to allow group ribs automatically when performing rib feature analysis

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.MoldFeatureRecognitionBuilder.BodyProjectArea
getset

Returns or sets the project area

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.MoldFeatureRecognitionBuilder.BodySurfaceArea
getset

Returns or sets the surface area value

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.NXColor NXOpen.Tooling.MoldFeatureRecognitionBuilder.CostFeatureFacesColor
getset

Returns or sets the temporary color for cost feature faces

Created in NX12.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Tooling.MoldFeatureRecognitionBuilder.DraftAngle
get

Returns the draft angle

Created in NX11.0.1

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.MoldFeatureRecognitionBuilder.MaximumRibLength
get

Returns the maximum rib length to be recognized

Created in NX11.0.1

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.MoldFeatureRecognitionBuilder.MaximumRibThickness
get

Returns the maximum rib thickness to be recognized

Created in NX11.0.1

License requirements: None.

unsafe double NXOpen.Tooling.MoldFeatureRecognitionBuilder.MaximumWallThickness
getset

Returns or sets the maximum wall thickness

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.MoldFeatureRecognitionBuilder.MinimumWallThickness
getset

Returns or sets the minimum wall thickness

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.MoldFeatureRecognitionBuilder.MinimumXDimension
getset

Returns or sets the minimum x dimension of product body

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.MoldFeatureRecognitionBuilder.MinimumYDimension
getset

Returns or sets the minimum y dimension of product body

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.MoldFeatureRecognitionBuilder.MinimumZDimension
getset

Returns or sets the minimum z dimension of product body

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.MoldFeatureRecognitionBuilder.PartFolderBrowser
getset

Returns or sets the folder of part file to be saved

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.MoldFeatureRecognitionBuilder.PartVolume
getset

Returns or sets the product body volume

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Tooling.MoldFeatureRecognitionBuilder.SaveAndExportStatus
getset

Returns or sets the value that indicates whether to save part and export analysis data or not.

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectBody NXOpen.Tooling.MoldFeatureRecognitionBuilder.SelectionBody
get

Returns the selected body for analysis

Created in NX11.0.1

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.MoldFeatureRecognitionBuilder.UndercutMinimumWidth
get

Returns the undercut minimum width

Created in NX11.0.1

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.MoldFeatureRecognitionBuilder.UndercutToleranceAngle
get

Returns the tolerance of undercut face angle

Created in NX12.0.1

License requirements: None.

unsafe double NXOpen.Tooling.MoldFeatureRecognitionBuilder.XDimension
getset

Returns or sets the x dimension of product body

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe string NXOpen.Tooling.MoldFeatureRecognitionBuilder.XmlFolderBrowser
getset

Returns or sets the folder in which output XML results can be found

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.MoldFeatureRecognitionBuilder.YDimension
getset

Returns or sets the y dimension of product body

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.

unsafe double NXOpen.Tooling.MoldFeatureRecognitionBuilder.ZDimension
getset

Returns or sets the z dimension of product body

Created in NX11.0.1

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.